import com.bjc.content.*;
import java.io.*;

/**
 * Get a list of files in the EditorFiles directory
 */
 
public class GetFiles extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
		File dir = new File( application.getPath() + File.separator + "EditorFiles" );
		String[] dirFiles = dir.list();
         
		// Check what files are in the directory		       
    for( int i = 0; i < dirFiles.length; i++ ) 
    {
        File f = new File( dir, dirFiles[ i ] );              
               
				// If it is a file (not a dir)
        if( !f.isDirectory() ) 
        {            
						// Add new file node and the file name to the response
						response.startNode( "FILE" );
						response.addData( f.getName() );
						response.endNode( "FILE" );
        }
    }  
		
    // Send to the list back to client
    response.send();   
	}
}