import com.bjc.content.*;
import java.io.*;

/**
 * Join the application
 */
 
public class JoinApplication extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			// Do logging
			logger.log( "User " + user.getPublicID() + " joining application" );
			// Register with the application
			application.register( request.getVar( "name" ) ); 
			
			// Add username and id to the response
			response.startNode( "USER" );
			response.setAttribute( "ID", user.getPublicID() );
			response.setAttribute( "NAME", request.getVar( "name" ) );
			
			// Send a notification back to the client
			response.send(); 
			response.sendAll();
	}
}