import com.bjc.content.*;
import java.io.*;

/**
 * Get all members in a group specified by the request variable 'gid'
 */
 
public class GetGroupMembers extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			// Do logging
			logger.log( "User " + user.getPublicID() + " getting group " + request.getVar( "gid" ) + "members" );
			// Add a list of available groups to the response
			response.addUsersInGroup( request.getVar( "gid" ) );
    	// Send to the list back to client
    	response.send();   
	}
}