import com.bjc.content.*;
import java.io.*;

/**
 * Delete one file in the EditorFiles directory
 */
 
public class DeleteFile extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			BufferedWriter out;
			
			if( request.getVar( "file" ).equals( "" ) )
			{
			 		response.addData( "-1" );
			}
			else
			{
			 		try 
					{
			 		 		File file = new File( application.getPath() + 
									 									File.separator + "EditorFiles" + 
																		File.separator + request.getVar( "file" ) );	
				  		file.delete();
							response.addData( "0" );
					} 
					catch( SecurityException se )
					{
			 		 		response.addData( "-2" );
					} 		
					finally{}
			}
			
    	// Send to the list back to client
    	response.send();   
	}
}