import com.bjc.content.*;
import java.io.*;

/**
 * Get contents of a file
 */
 
public class GetFileContents extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			BufferedReader input;
			
			try 
			{
			 		File file = new File( application.getPath() + 
							 									File.separator + "EditorFiles" + 
																File.separator + request.getVar( "file" ) );
																
    	 		input = new BufferedReader( new FileReader( file ) );
    			String line = null;
					StringBuffer document = new StringBuffer();
    
					// Read the file into a StringBuffer
					while(( line = input.readLine()) != null )
					{
      				document.append( line + "\n" );
    			}
					
					input.close(); // Close the stream
					
					// Add the file contents to the response
					response.addCData( document.toString() );
  		}
  		catch( FileNotFoundException ex ) 
			{
    			throw new CustomException( -1, "Couldn't find the file" );
  		}
  		catch( IOException ex )
			{
    			throw new CustomException( -2, "Couldn't read the file" );
  		}	
			finally{}	
		
    	// Send to the list back to client
    	response.send();   
	}
}